package com.yem.wm.es.storagetrans.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;

import java.util.List;

/**
 * @Classname ShippingContactsListFilter
 * @Description 发货联系书列表过滤
 * @Date 2023/12/15 16:55
 * @Created by ZZSLL
 */

public class ShippingContactsListFilter extends AbstractListPlugin
{
    @Override
    public void setFilter(SetFilterEvent e)
    {
        List<QFilter> qFilterList = e.getQFilters();
        qFilterList.add(new QFilter("yem_bookingspacestatus", QCP.equals, "B"));
    }
}
